%define	major 0
%define libname	%mklibname powerman  %{major}
%define develname %mklibname -d powerman

Summary:	Power to the Cluster
Name:		powerman
Version:	2.3.9
Release:	%mkrel 5
Group:		System/Servers
License:	GPLv2+
URL:		http://code.google.com/p/powerman/
Source0:	http://powerman.googlecode.com/files/powerman-%{version}.tar.gz
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	genders-devel
BuildRequires:	libcurl-devel
BuildRequires:	ncurses-devel
BuildRequires:	net-snmp-devel
BuildRequires:	readline-devel
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PowerMan is a tool for manipulating remote power control (RPC) devices from a 
central location. Several RPC varieties are supported natively by PowerMan and 
Expect-like configurability simplifies the addition of new devices.

%package -n	%{libname}
Summary:	PowerMan library
Group:          System/Libraries

%description -n	%{libname}
PowerMan is a tool for manipulating remote power control (RPC) devices from a 
central location. Several RPC varieties are supported natively by PowerMan and 
Expect-like configurability simplifies the addition of new devices.

%package -n	%{develname}
Summary:	Static library and header files for the PowerMan library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
PowerMan is a tool for manipulating remote power control (RPC) devices from a 
central location. Several RPC varieties are supported natively by PowerMan and 
Expect-like configurability simplifies the addition of new devices.

This package contains the static genders library and its header files.

%prep

%setup -q

%build
%serverbuild
%configure2_5x \
    --with-snmppower \
    --with-httppower \
    --with-genders \
    --with-ncurses \
    --with-user=powerman

# parallel makes often fail
make -e VERSION=%{version} EXTRA_CFLAGS="$CFLAGS"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}

%makeinstall_std mandir=%{_mandir}

# work around a problem in the install make file target
rm %{buildroot}%{_bindir}/pm
pushd %{buildroot}%{_bindir}
    ln -s powerman pm
popd

# get rid of execute bit on powerman script files to fix rpmlint errror
chmod -x %{buildroot}%{_sysconfdir}/%{name}/*

mv %{buildroot}%{_sysconfdir}/init.d/%{name} %{buildroot}%{_initrddir}/

# Don't turn on by default
%{__perl} -pi -e 's|chkconfig:.*95 5|chkconfig: - 95 5|g' %{buildroot}%{_initrddir}/%{name}

# don't package this for now
rm -rf %{buildroot}%{_libdir}/stonith

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/powerman 0755 powerman powerman
EOF

%pre
%_pre_useradd powerman /var/empty /bin/sh

%postun
%_postun_userdel powerman

%post
%_tmpfilescreate %{name}
%_post_service powerman

%preun
%_preun_service powerman

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog DISCLAIMER COPYING NEWS TODO
%{_initrddir}/%{name}
%{_bindir}/powerman
%{_bindir}/pm
%{_sbindir}/plmpower
%{_sbindir}/powermand
%{_sbindir}/httppower
%{_sbindir}/snmppower
%{_sbindir}/vpcd
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man*/*

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.3.9-5.mga4
+ Revision: 522663
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 2.3.9-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 2.3.9-3.mga3
+ Revision: 378466
- add tmpfiles config for /run/powerman

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 tv <tv> 2.3.9-1.mga2
+ Revision: 141606
- new release
- new URL
- BuildRequires: net-snmp-devel
- enable snmppower

* Thu Mar 03 2011 ennael <ennael> 2.3.5-3.mga1
+ Revision: 63391
- add version in configure.ac (thanks rtp)
- clean spec file
- imported package powerman


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-3mdv2011.0
+ Revision: 607197
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-2mdv2010.1
+ Revision: 519057
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-1mdv2010.0
+ Revision: 387850
- 2.3.5

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.4-1mdv2009.1
+ Revision: 353769
- 2.3.4

* Thu Jan 29 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-0.r1109.1mdv2009.1
+ Revision: 335063
- import powerman


* Thu Jan 29 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-0.r1109.1mdv2009.1
- initial Mandriva package
